%global gem_name rack-test
# 1 means we're bootstrapping, don't have sinatra, so can't run our tests
%global bootstrap 1

Summary:        Simple testing API built on Rack
Name:           rubygem-%{gem_name}
Version:        0.6.3
Release:        4%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://gitrdoc.com/brynary/rack-test/tree/master
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(rack) >= 1.0.0
BuildRequires:  rubygem(rspec) < 3
%if 0%{?bootstrap} == 0
BuildRequires:  rubygem(sinatra)
%endif
BuildArch:      noarch
%if 0%{?rhel} == 7
Provides:       rubygem(%{gem_name}) = %{version}
%endif

%description
Rack::Test is a small, simple testing API for Rack apps. It can be used on its
own or as a reusable starting point for Web frameworks and testing libraries
to build on. Most of its initial functionality is an extraction of Merb 1.0's
request helpers feature.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}

%build


%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


%check
pushd .%{gem_instdir}
# We don't care about code coverage.
sed -i '/[cC]ode[cC]/ s/^/#/' spec/spec_helper.rb

sed -i '/require "bundler\/setup"/d' spec/spec_helper.rb
# Only execute tests if sinatra is available
%if 0%{?bootstrap} == 0
%if 0%{?rhel} > 6
rspec spec
%else
rspec2 spec
%endif
%endif
popd


%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%{gem_libdir}
%doc %{gem_instdir}/MIT-LICENSE.txt
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/MIT-LICENSE.txt
%doc %{gem_instdir}/History.txt
%{gem_instdir}/Gemfile*
%{gem_instdir}/Thorfile
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/spec
%{gem_instdir}/Rakefile



%changelog
* Wed Jan 06 2016 Greg Hellings <greg.hellings@gmail.com> - 0.6.3-4
- Add explicit Provides for EPEL7

* Tue Jan 05 2016 Greg Hellings <greg.hellings@gmail.com> - 0.6.3-3
- Edited to build in EPEL7

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 20 2015 Vít Ondruch <vondruch@redhat.com> - 0.6.3-1
- Update to rack-test 0.6.3.

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 05 2013 Vít Ondruch <vondruch@redhat.com> - 0.6.2-3
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 01 2012 Vít Ondruch <vondruch@redhat.com> - 0.6.2-1
- Updated to rack-test 0.6.2.

* Wed Jul 18 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.1-1
- Updated to Rack Test 0.6.1.

* Tue Jan 24 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.0-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 07 2011 Michal Fojtik <mfojtik@redhat.com> - 0.6.0-2
- Fixed broken RSpec tests by temporary removing bundler

* Mon Jun 20 2011 Michal Fojtik <mfojtik@redhat.com> - 0.6.0-1
- Version bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 08 2010 Michal Fojtik <mfojtik@redhat.com> - 0.5.4-1
- Update to 0.5.4

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 30 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.4.0-1
- Update to 0.4.0
- Drop useless sitelib macro

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-2
- Fix up documentation list
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-1
- Package generated by gem2rpm
- Fix up License
